List All Versions For Scorer
curl --request GET \
--url https://api.galileo.ai/v2/scorers/{scorer_id}/versions \
--header 'Galileo-API-Key: <api-key>'{
"starting_token": 0,
"limit": 100,
"paginated": false,
"next_starting_token": 123,
"versions": [
{
"id": "<string>",
"version": 123,
"scorer_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"generated_scorer": {
"id": "<string>",
"name": "<string>",
"chain_poll_template": {
"template": "<string>",
"metric_system_prompt": "<string>",
"metric_description": "<string>",
"value_field_name": "rating",
"explanation_field_name": "explanation",
"metric_few_shot_examples": [
{
"generation_prompt_and_response": "<string>",
"evaluating_response": "<string>"
}
],
"response_schema": {}
},
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"scoreable_node_types": [],
"scorer_configuration": {
"model_alias": "gpt-4.1-mini",
"num_judges": 3,
"output_type": "boolean",
"scoreable_node_types": [
"<string>"
],
"cot_enabled": false,
"ground_truth": false,
"multimodal_capabilities": []
},
"instructions": "<string>",
"user_prompt": "<string>"
},
"registered_scorer": {
"id": "<string>",
"name": "<string>",
"score_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"scoreable_node_types": [
"<string>"
]
},
"finetuned_scorer": {
"id": "<string>",
"name": "<string>",
"lora_task_id": 123,
"prompt": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"lora_weights_path": "<string>",
"class_name_to_vocab_ix": {}
},
"model_name": "<string>",
"num_judges": 123,
"scoreable_node_types": [
"<string>"
],
"cot_enabled": true,
"chain_poll_template": {
"template": "<string>",
"metric_system_prompt": "<string>",
"metric_description": "<string>",
"value_field_name": "rating",
"explanation_field_name": "explanation",
"metric_few_shot_examples": [
{
"generation_prompt_and_response": "<string>",
"evaluating_response": "<string>"
}
],
"response_schema": {}
},
"allowed_model": true
}
]
}data
List All Versions For Scorer
GET
/
v2
/
scorers
/
{scorer_id}
/
versions
List All Versions For Scorer
curl --request GET \
--url https://api.galileo.ai/v2/scorers/{scorer_id}/versions \
--header 'Galileo-API-Key: <api-key>'{
"starting_token": 0,
"limit": 100,
"paginated": false,
"next_starting_token": 123,
"versions": [
{
"id": "<string>",
"version": 123,
"scorer_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"generated_scorer": {
"id": "<string>",
"name": "<string>",
"chain_poll_template": {
"template": "<string>",
"metric_system_prompt": "<string>",
"metric_description": "<string>",
"value_field_name": "rating",
"explanation_field_name": "explanation",
"metric_few_shot_examples": [
{
"generation_prompt_and_response": "<string>",
"evaluating_response": "<string>"
}
],
"response_schema": {}
},
"created_by": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"scoreable_node_types": [],
"scorer_configuration": {
"model_alias": "gpt-4.1-mini",
"num_judges": 3,
"output_type": "boolean",
"scoreable_node_types": [
"<string>"
],
"cot_enabled": false,
"ground_truth": false,
"multimodal_capabilities": []
},
"instructions": "<string>",
"user_prompt": "<string>"
},
"registered_scorer": {
"id": "<string>",
"name": "<string>",
"score_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"scoreable_node_types": [
"<string>"
]
},
"finetuned_scorer": {
"id": "<string>",
"name": "<string>",
"lora_task_id": 123,
"prompt": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"created_by": "<string>",
"lora_weights_path": "<string>",
"class_name_to_vocab_ix": {}
},
"model_name": "<string>",
"num_judges": 123,
"scoreable_node_types": [
"<string>"
],
"cot_enabled": true,
"chain_poll_template": {
"template": "<string>",
"metric_system_prompt": "<string>",
"metric_description": "<string>",
"value_field_name": "rating",
"explanation_field_name": "explanation",
"metric_few_shot_examples": [
{
"generation_prompt_and_response": "<string>",
"evaluating_response": "<string>"
}
],
"response_schema": {}
},
"allowed_model": true
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.galileo.ai/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
APIKeyHeaderOAuth2PasswordBearerHTTPBasic
Path Parameters
Was this page helpful?
⌘I